WorldGuard

moncifc

Nouveau
14 Janvier 2016
6
1
4
41
salut à tous,
j'ai installé un serveur spigot pour mon fils, mais plein de petit malin lui cassait ses construction alors j'ai installé worldguard et worldedit pour protéger des zones des mondes, donc tout s'est bien déroulé, testé sur le monde par défaut de spigot "world" et ça marche, mais quand j'importe la map qu'il a crée en solo et en local pour protéger la grande construction qu'il a mis longtemps à construire, des que je tape la commande ("region define "nom" "nom du joueur") après bien sur les autres commande de selection des blocs et expand etc, j'ai ce message " Region data failed to load for this world. Please ask a server administrator to read the logs to identify the reason" bien sur que ce n'est pas un problème de droit d'admin, car il est admin et ça a marché sur le monde par défaut donc, je me dis que ça vient de la map, comment faire pour que worldguard marche sur cette map s'il vous plait.
merci d'avance
 

moncifc

Nouveau
14 Janvier 2016
6
1
4
41
Désolé, comme Worldguard est un outil je pensais que c'était la bonne section autant pour moi, sinon une solution?
 

Detobel36

Créateur de plugins (PhoenixRebirth)
Support
17 Août 2012
10 366
23
2 223
347
25
Bruxelles - Belgique
www.phoenix-rebirth.fr
Salut,

Region data failed to load for this world. Please ask a server administrator to read the logs to identify the reason
Il y a donc un problème dans le chargement de ce monde. Il faut contacter un administrateur (vous en l’occurrence) pour lire les logs et identifier le problème. Tout ce qui concerne les logs se trouvent ici: http://minecraft.fr/forum/threads/trucs-pour-résoudre-un-problème.77248/ ;)
Pour pouvoir correctement vous aider il nous faut donc le contenu de vos logs (de préférence entre des balises code :D )

Nouveau Désolé, comme Worldguard est un outil
WorldGuard est un plugin, il est "interne" à minecraft. En général on appel outil ce qui est externe au jeux. MCEdit par exemple ;)


Cordialement,
Detobel36
 

moncifc

Nouveau
14 Janvier 2016
6
1
4
41
au fait pour la traduction, j'avais compris qu'il y avait un problème avec ce monde car j'ai bien précisé que pour le monde par défaut dans spigot, worldguard fonctionne sans problème, alors qu'est ce qui ne va pas dans le monde que j'ai importé alors d'après toi et ta lecture du logs, car moi je vois pas d'erreur dedans

edito:
tiens, je viens de voir dans le fichier logs ce message et à mon avis c'est la cause:
"Error occurred while enabling WorldGuard v6.1 (Is it up to date?)
java.lang.IllegalArgumentException: Invalid file path for the world's regions file" et après que des phrases en rouge, j'imagine que rouge est égale à pas bon signe, ça veut dire qu'au chargement worldedit se charge correctement et pas worldguard, d'ou les commandes qui fonctionnais (wand, expand, ..etc) et les délimitations avec la hache en bois, non??!!
 
Dernière édition:

Estro

Massacreur de zombies
23 Décembre 2011
620
55
135
Bonsoir,
votre déduction semble bonne, la question est alors s'il arrive à lancer WorldEdit mais pas WorldGuard que ce dernier ne doit pas avoir la même version que WorldEdit ? C'est l'idée la plus probable car pour que WorldGuard se lance et fonctionne il nécessite WorldEdit, un conseil téléchargez à nouveau les 2 plugins en version 6.1 si votre serveur est en 1.8.*
Si ces plugins qui sont à la même version fonctionne il n'y aura plus de raison que
 
Dernière édition:

moncifc

Nouveau
14 Janvier 2016
6
1
4
41
malheureusement j'ai les bonnes versions, 6.1 pour les deux, ce que je vais essayer c'est tout supprimer et partir sur une nouvelle installation propre et on verra, puis y a le fait que sur le site il est marqué que worldedit supporte jusqu'à la version 1.8.8 de minecraft et moi quand j'ai fais l'installation j'étais en 1.8.9 je ne sais pas s'il y a un rapport mais je refais tout avec un 1.8.8 et on verra ce que ça donne.
merci

edito:
je viens de voir aussi que worldguard supporte que jusqu'à 1.8.1 donc.....hope on refait tout sur une base 1.8.1
 

moncifc

Nouveau
14 Janvier 2016
6
1
4
41
bon enfin résolu, la map étant été crée sous 1.8.9 posait problème je l'ai recrée sous 1.8.1 puis exporter dans le serveur, et là, tout marche.
merci quand même
 
  • J'aime
Reactions: Estro